gr::gsm::burst_fnr_filter Class Referenceabstract

<+description of block+> More...

`#include <burst_fnr_filter.h>`

Inheritance diagram for gr::gsm::burst_fnr_filter:

## Public Types

typedef std::shared_ptr< burst_fnr_filter > | sptr

## Public Member Functions

virtual unsigned int | get_fn (void)=0
virtual unsigned int | set_fn (unsigned int fn)=0
virtual filter_mode | get_mode (void)=0
virtual filter_mode | set_mode (filter_mode mode)=0
virtual filter_policy | get_policy (void)=0
virtual filter_policy | set_policy (filter_policy policy)=0

## Static Public Member Functions

static sptr | make (filter_mode mode, unsigned int fnr)
| Return a shared_ptr to a new instance of gsm::burst_fnr_filter.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<burst_fnr_filter> gr::gsm::burst_fnr_filter::sptr

## Member Function Documentation

## get_fn()

virtual unsigned int gr::gsm::burst_fnr_filter::get_fn | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

## get_mode()

virtual filter_mode gr::gsm::burst_fnr_filter::get_mode | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

## get_policy()

virtual filter_policy gr::gsm::burst_fnr_filter::get_policy | ( | void |  | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

## make()

sptr gr::gsm::burst_fnr_filter::make | ( | filter_mode | mode,
|  | unsigned int | fnr )

static

Return a shared_ptr to a new instance of gsm::burst_fnr_filter.

To avoid accidental use of raw pointers, gsm::burst_fnr_filter's constructor is in a private implementation class. gsm::burst_fnr_filter::make is the public interface for creating new instances.

## set_fn()

virtual unsigned int gr::gsm::burst_fnr_filter::set_fn | ( | unsigned int | fn | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

## set_mode()

virtual filter_mode gr::gsm::burst_fnr_filter::set_mode | ( | filter_mode | mode | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

## set_policy()

virtual filter_policy gr::gsm::burst_fnr_filter::set_policy | ( | filter_policy | policy | ) |

pure virtual

Implemented in gr::gsm::burst_fnr_filter_impl.

The documentation for this class was generated from the following file:

- burst_fnr_filter.h